var _pointerPosition : Vector2 = Vector2.zero;
function slice(){
	var _hitSample : RaycastHit;
	if(Physics.Raycast(transform.position, transform.forward,_hitSample,10)){
		 if (_hitSample.collider.gameObject.tag == "Barrel"){
		 	Destroy(gameObject);
		 	_hitSample.collider.gameObject.animation.Play == "VerticalDashRight";
		 	_hitSample.collider.gameObject.animation.Play == "VerticalDashLeft";
		 	}
		}
	else{
		Debug.log("Did not hit");
		}
}